com.qualcomm.ftccommon

## Class FtcEventLoopBase.LynxUsbDeviceContainer

- java.lang.Object
- - com.qualcomm.ftccommon.FtcEventLoopBase.LynxUsbDeviceContainer

- Enclosing class:
    FtcEventLoopBase

      protected static class FtcEventLoopBase.LynxUsbDeviceContainer
      extends java.lang.Object

  abstracts whether we've got a live LynxUsbDeviceImpl or we just opened something locally ourselves.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected LynxUsbDeviceImpl` | `lynxUsbDevice`
    `protected RobotUsbDevice` | `robotUsbDevice`
    `protected SerialNumber` | `serialNumber`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LynxUsbDeviceContainer(LynxUsbDeviceImpl lynxUsbDevice, SerialNumber serialNumber)`
    `LynxUsbDeviceContainer(RobotUsbDevice robotUsbDevice, SerialNumber serialNumber)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `disengage()`
    `void` | `engage()`
    `RobotUsbDevice` | `getRobotUsbDevice()`
    `SerialNumber` | `getSerialNumber()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### lynxUsbDevice

          protected final LynxUsbDeviceImpl lynxUsbDevice

    - #### robotUsbDevice

          protected final RobotUsbDevice robotUsbDevice

    - #### serialNumber

          protected final SerialNumber serialNumber

  - ### Constructor Detail

    - #### LynxUsbDeviceContainer

          public LynxUsbDeviceContainer(LynxUsbDeviceImpl lynxUsbDevice,
                                        SerialNumber serialNumber)

    - #### LynxUsbDeviceContainer

          public LynxUsbDeviceContainer(RobotUsbDevice robotUsbDevice,
                                        SerialNumber serialNumber)

  - ### Method Detail

    - #### close

          public void close()

    - #### disengage

          public void disengage()

    - #### engage

          public void engage()

    - #### getRobotUsbDevice

          public RobotUsbDevice getRobotUsbDevice()

    - #### getSerialNumber

          public SerialNumber getSerialNumber()